Package org.apache.sling.rewriter

## Interface ProcessingContext

    public interface ProcessingContext

The context for a processor invocation.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getContentType()` The content type of the response.
`OutputStream` `getOutputStream()` The output stream.
`org.apache.sling.api.SlingHttpServletRequest` `getRequest()` The current request.
`org.apache.sling.api.SlingHttpServletResponse` `getResponse()` The current response.
`PrintWriter` `getWriter()` The writer.

### Method Detail

#### getRequest

    org.apache.sling.api.SlingHttpServletRequest getRequest()

The current request.

Returns:
  the current request

#### getResponse

    org.apache.sling.api.SlingHttpServletResponse getResponse()

The current response.

Returns:
  the current response

#### getContentType

    String getContentType()

The content type of the response.

Returns:
  the content type

#### getWriter

    PrintWriter getWriter()
                   throws IOException

The writer.

Returns:
  the writer
Throws:
  `IOException` - in case of problems

#### getOutputStream

    OutputStream getOutputStream()
                          throws IOException

The output stream.

Returns:
  the outputStream
Throws:
  `IOException` - in case of problems